---

_build_packages:
  default:
    - git
    - build-essential
    - python-dev
    - python3-dev
  # ubuntu-18:
  #   - build-essential
  #   - python-dev
  #   - python3-dev
  ubuntu:
    - git
    - build-essential
    - python-dev
    - python3-dev
    - libudev-dev
    - pkg-config
  centos-8:
    - git
    - gcc
    - gcc-c++
    - kernel-devel
    - python2-devel
    - python3-devel
    # https://centos.pkgs.org/8/centos-powertools-x86_64/libgudev-devel-232-4.el8.x86_64.rpm.html
    # not in centos-8
    - libgudev-devel
    # - python3-libselinux
    # - bzip2
  centos:
    - git
    - gcc
    - gcc-c++
    - kernel-devel
    - python2-devel
    - python3-devel
    - libgudev1-devel
    # TODO
    # no dev package!
    # - libselinux-python
    # - bzip2


_graphyte_daemon_dependencies:
  default:
    - rsync
    - python3-pip
  debian:
    - rsync
    - python3-pip
    - python3-setuptools
    - python-setuptools
    - libmariadb-dev
  ubuntu:
    - rsync
    - python3-pip
    - python3-setuptools
    - python-setuptools
    - libmariadb-dev
  centos-7:
    - rsync
    - python3-pip
    - python3-setuptools
    - python-setuptools

_systemd_lib_directory:
  default: /lib/systemd/system
  debian: /lib/systemd/system
  redhat: /usr/lib/systemd/system

build_packages: "{{
  _build_packages[ansible_distribution | lower~ '-' ~ ansible_distribution_major_version] |
  default(_build_packages[ansible_distribution | lower] |
  default(_build_packages['default'])) }}"

graphyte_daemon_dependencies: "{{
  _graphyte_daemon_dependencies[ansible_distribution | lower~ '-' ~ ansible_distribution_major_version] |
  default(_graphyte_daemon_dependencies[ansible_distribution | lower] |
  default(_graphyte_daemon_dependencies['default'])) }}"

systemd_lib_directory: "{{
  _systemd_lib_directory[ansible_os_family | lower] |
  default(_systemd_lib_directory['default']) }}"
